/*
 * Created on 02.05.2006
 *
 */
package big3d;


import javax.swing.JFrame;

import big3d.listener.GLListener;

import net.java.games.jogl.Animator;
import net.java.games.jogl.GLCanvas;
import net.java.games.jogl.GLCapabilities;
import net.java.games.jogl.GLDrawableFactory;

public class Main {

        // Fenster erstellen und Canvas hinzufgen
        public static JFrame frame = new JFrame("Big 3D");
        protected static int frameCounter = 0;
        protected static long startTime = System.currentTimeMillis();
        public static Animator animator;
        
        public static void main(String[] args) {
            // Canvas ( -> "Zeichenflche") erstellen
            GLCanvas canvas = 
                GLDrawableFactory.getFactory()
                    .createGLCanvas(new GLCapabilities());
            
            // GLEventListener anmelden
            GLListener listener = new GLListener(canvas);
            canvas.addGLEventListener(listener);
            
            // Animator anmelden
            animator = new Animator(canvas);

            frame.setSize(500,500);
            frame.add(canvas);
            frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
            
            // Fenster anzeigen und Animator starten
            frame.setVisible(true);
            
            canvas.requestFocus();
            animator.start();
        }


       
    }


