/*
 * Created on 25.05.2006
 *
 */
package big3d.objects;

import java.util.ArrayList;

public class LightFactory {
    private static ArrayList<LightObject> lights = new ArrayList<LightObject>();
    
    /**
     * Erstellt ein neues Licht und liefert dessen ID. Falls bereits 8 Lichter an sind,
     *  wird -1 zurckgegeben.
     * @return
     */
    public static int createNewLight(){
        //Maximal 8 Lichter!
        if (lights.size() < 9){
            LightObject light = new LightObject();
            lights.add(light);
            return lights.size()-1;
        }
        else return -1;
    }
    
    /**
     * Liefert das LichtObjekt zum Index id oder null, falls dieser Index nicht existiert.
     * @param id
     * @return
     */
    public static LightObject getLight(int id){
        if (lights.size()-1 <= id){
            return lights.get(id);
        } else return null;
    }
}
