/*
 * Created on 08.05.2006
 *
 */
package big3d.utils;

public class GLVector {
    float[] direction = new float[3];
    
    public GLVector(){
        
    }
    
    public GLVector(float x, float y, float z){
        this.setDirection(x,y,z);
    }
    
    public GLVector(GLVector other){
        this.setDirection(other.getX(), other.getY(), other.getZ());
    }
    
    public void setDirection(float x, float y, float z){
        this.direction[0] = x;
        this.direction[1] = y;
        this.direction[2] = z;
    }
    
    public float[] getDirection(){
        return this.direction;
    }
    
    public float getX(){
        return this.direction[0];
    }
    
    public float getY(){
        return this.direction[1];
    }
    
    public float getZ(){
        return this.direction[2];
    }
}

