package big3d.collision;

// Objekt mit einer Weltkoordinate, welche auf Annherung getestet werden kann 

public class CollisionObject {
	
	//Koordinaten
	float x;
	float y;
	float z;
	
	float nearX;
	float nearY;
	float nearZ;
	
	boolean active;
	
	public CollisionObject(float x, float y, float z) {
		this.x = x;
		this.y = y;
		this.z = z;
		this.nearX = 5;
		this.nearY = 5;
		this.nearZ = 5;
		this.active = true;
	}

	public float getX() {
		return x;
	}

	public void setX(float x) {
		this.x = x;
	}

	public float getY() {
		return y;
	}

	public void setY(float y) {
		this.y = y;
	}

	public float getZ() {
		return z;
	}

	public void setZ(float z) {
		this.z = z;
	}
	
	public void performAction() {
		if(active) {
			System.out.println("MUUUUUH!!!!");
			this.active = false;
		}
	}

	public float getNearX() {
		return nearX;
	}

	public void setNearX(float nearX) {
		this.nearX = nearX;
	}

	public float getNearY() {
		return nearY;
	}

	public void setNearY(float nearY) {
		this.nearY = nearY;
	}

	public float getNearZ() {
		return nearZ;
	}

	public void setNearZ(float nearZ) {
		this.nearZ = nearZ;
	}

	public boolean isActive() {
		return active;
	}

	public void setActive(boolean active) {
		this.active = active;
	}
}
